QGIS Application - Bug report #10836
ImportError: /usr/lib/python2.7/site-packages/PyQt4/Qsci.so: undefined symbol: _ZTI11QsciPrinter
2014-07-07 10:42 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 19210
Description

Looks like the processing plugin is broken in QGIS 2.4 when running QScintilla 2.8.3 on Linux.

There is an error on QGIS startup with the following error:

@Couldn't load plugin 'processing' from ['/usr/share/qgis/python’, '/home/saultdon/.qgis2/python’, '’home/saultdon/.qgis2/python/plugins’,
'lusr/share/qgis/python/plugins', '/home/saultdon’, '/usr/share/qgis/python’, '/usr/lib/python27.zip', '/usr/lib/python2.7',
"fusr/lib/python2.7/plat-linux2', ‘/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload’,
"fusr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages/wx-3.0-gtk2']

Traceback (most recent call last):
File "/usr/share/qgis/python/qgis/utils.py", line 182, in loadPlugin
import(packageName)
File "/usr/share/qgis/python/qgis/utils.py”, line 454, in import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/home/saultdon/.qgis2/python/plugins/processing/_init__.py", line 29, in
from processing.tools.general import *
File "/usr/share/qgis/python/qgis/utils.py”, line 454, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/home/saultdon/.qgis2/python/plugins/processing/tools/general.py”, line 29, in
from processing.core.Processing import Processing
File "/usr/share/qgis/python/qgis/utils.py”, line 454, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/home/saultdon/.qgis2/python/plugins/processing/core/Processing.py", line 56, in
from processing.algs.r.RAlgorithmProvider import RAlgorithmProvider
File "/usr/share/qgis/python/qgis/utils.py", line 454, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/home/saultdon/.qgis2/python/plugins/processing/algs/r/RAlgorithmProvider.py", line 34, in
from processing.gui.EditScriptAction import EditScriptAction
File "/usr/share/qgis/python/qgis/utils.py", line 454, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/home/saultdon/.qgis2/python/plugins/processing/gui/EditScriptAction.py”, line 29, in
from processing.gui.ScriptEditorDialog import ScriptEditorDialog
File "/usr/share/qgis/python/qgis/utils.py”, line 454, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/home/saultdon/.qgis2/python/plugins/processing/gui/ScriptEditorDialog.py", line 34, in
from PyQt4.Qsci import *
File "/usr/share/qgis/python/qgis/utils.py”, line 454, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: /usr/lib/python2.7/site-packages/PyQt4/Qsci.so: undefined symbol: _ZTI11QsciPrinter
Python version:
2.7.8 (default, Jul 12014, 17:30:21)
[GCC 4.9.0 20140604 (prerelease)]

QGIS version:
2.4.0-Chugiak Chugiak, 87e4b07

Python path: [/usr/share/qgis/python’, u'/home/saultdon/.qgis2/python’, u'/home/saultdon/.qgis2/python/plugins’,
'lusr/share/qgis/python/plugins', '/home/saultdon’, '/usr/share/qgis/python’, '/usr/lib/python27.zip', '/usr/lib/python2.7',
"fusr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', ‘/usr/lib/python2.7/lib-dynload’,
'usr/lib/python2.7/site-packages’, '/usr/lib/python2.7/site-packages/gtk-2.0", '/usr/lib/python2.7/site-packages/wx-3.0-gtk2'|@

History

#1 - 2014-07-09 08:01 AM - Donovan Cameron

- Status changed from Open to Closed

Looks like gscintilla just needed to be recompiled against pyqt4 after | downgraded.

Closing as invalid =)

#2 - 2014-07-09 08:04 AM - Giovanni Manghi

- Resolution set to invalid

#3 - 2014-08-05 05:52 PM - Yacine Hmito

| encounter exactly the same problem on a fresh Arch Linux system (when | say exactly, | mean by the letter).

| tried to downgrade pyqt4 but dependencies prevent me to do so (and qgis takes quite some time to download and compile). | do not understand what the

problem is, how Donovan Cameron fixed it and how downgrading is supposed to fix it.

Any help is welcome !

#4 - 2014-08-05 09:12 PM - Donovan Cameron

Once you have a fully updated Arch system, it's safe to compile QGIS.

But for some reason, you still have to recompile gscintilla from the ABS. Then when re-installing gscintilla, you shouldn't get that error when you start

QGIS.

#5 - 2014-08-06 01:32 PM - Yacine Hmito

Donovan Cameron wrote:

Once you have a fully updated Arch system, it's safe to compile QGIS.

But for some reason, you still have to recompile gscintilla from the ABS. Then when re-installing gscintilla, you shouldn't get that error when you

start QGIS.

| did this by typing yaourt -Sb gscintilla
It now works like a charm. Thank you !

#6 - 2014-08-06 01:32 PM - Yacine Hmito

Donovan Cameron wrote:

Once you have a fully updated Arch system, it's safe to compile QGIS.

But for some reason, you still have to recompile gscintilla from the ABS. Then when re-installing gscintilla, you shouldn't get that error when you

start QGIS.

| did this by typing yaourt -Sb gscintilla
It now works like a charm. Thank you !

#7 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
